Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Interface Criterion

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AbstractEmptinessExpression, BetweenExpression, Conjunction, Disjunction, EmptyExpression, Example, ExistsSubqueryExpression, IdentifierEqExpression, IlikeExpression, InExpression, Junction, LikeExpression, LogicalExpression, NaturalIdentifier, NotEmptyExpression, NotExpression, NotNullExpression, NullExpression, PropertyExpression, PropertySubqueryExpression, SimpleExpression, SimpleSubqueryExpression, SizeExpression, SQLCriterion, SubqueryExpression

    public interface Criterion

extends Serializable

An object-oriented representation of a query criterion that may be used as a restriction in a `Criteria` query. Built-in criterion types are provided by the `Restrictions` factory class. This interface might be implemented by application classes that define custom restriction criteria.

Author:
  Gavin King
See Also:
  `Restrictions`, `Criteria`

Method Summary
`TypedValue[]` | `getTypedValues(Criteria criteria, CriteriaQuery criteriaQuery)` Return typed values for all parameters in the rendered SQL fragment
`String` | `toSqlString(Criteria criteria, CriteriaQuery criteriaQuery)` Render the SQL fragment

Method Detail

### toSqlString

    String toSqlString(Criteria criteria,
                       CriteriaQuery criteriaQuery)
                       throws HibernateException

  Render the SQL fragment

  Parameters:
    `criteriaQuery` -
    `alias` -
  Returns:
    String
  Throws:
    `HibernateException`

### getTypedValues

    TypedValue[] getTypedValues(Criteria criteria,
                                CriteriaQuery criteriaQuery)
                                throws HibernateException

  Return typed values for all parameters in the rendered SQL fragment

  Parameters:
    `criteria` - TODO
    `criteriaQuery` -
  Returns:
    TypedValue[]
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD